<?php
/*    echo "<pre>"; print_r($this->content->getVariables()); die; */
    $postList = $this->posts;
    $brandUrl = $this->BrandUrl;
    $brandName = $this->BrandName;
    function cmp($a, $b)
    {
        return strcmp($a['id'], $b['id']);
    }
?>

<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('add-post-image', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body'));
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>

<div class="feed-container">
    <div class="two-3columns">
        <?php if($this->isBrandAdmin){ ?>
            <div class="post post-edit" id="edit-post" style="display: none;">
                
            </div>
            
        <?php } ?>
        
        <?php if(!empty($postList)){ ?>
            <?php
/*            foreach($postList as $post){*/
                echo $this->partial('brand-post-partial', [
                        'brand' => $this->brand,
                        'user' => $this->user,
                        'postList' => $postList,
/*                        'post' => $post,*/
                        'isBrandAdmin' => $this->isBrandAdmin,
                        'editable' => true,
                        'drafts' => true,
                    ]
                );
/*            }*/
            ?>
        <?php }else{ ?>
            <div class="feed-container">
                <div class="avatar invisible">
                </div>
                <div class="socialcontent post">
                    <h3>No drafts to display</h3>
                    <p>There are no drafts to display.</p>
                </div>
            </div>
        <?php } ?>
        <!-- end of social content -->
        <div class="clear"></div>
    </div>
</div>

<?php 
echo $this->partial('brand-info-partial', ['brand' => $this->brand, 'user' => $this->user]);

function time_elapsed_string($ptime)
{
    $etime = time() - $ptime;

    if ($etime < 1)
    {
        return '0 seconds';
    }

    $a = array( 365 * 24 * 60 * 60  =>  'year',
                 30 * 24 * 60 * 60  =>  'month',
                      24 * 60 * 60  =>  'day',
                           60 * 60  =>  'hour',
                                60  =>  'minute',
                                 1  =>  'second'
                );
    $a_plural = array( 'year'   => 'years',
                       'month'  => 'months',
                       'day'    => 'days',
                       'hour'   => 'hours',
                       'minute' => 'minutes',
                       'second' => 'seconds'
                );

    foreach ($a as $secs => $str)
    {
        $d = $etime / $secs;
        if ($d >= 1)
        {
            $r = round($d);
            return $r . ' ' . ($r > 1 ? $a_plural[$str] : $str);
        }
    }
}
?>

<link href="/css/fullSlider.css" rel="stylesheet">
<script src='https://cdn.tinymce.com/4/tinymce.min.js'></script>
<script type="text/javascript">

var customIcons = ['tools-b', 'tools-i', 'tools-left', 'tools-center', 'tools-right', 'tools-justify', 'tools-bullet', 'tools-numbers', 'tools-decrease', 'tools-increase', 'tools-link', 'tools-image'];

var UploadedImagesListSelPost = '.upload-image-list-post';
window.onGloabalJS.push(function() {
    window.uploadImageSetStorage = window.persistentVariable("uploadImageSetPost", new window.ImageSet([], UploadedImagesListSelPost));
    if(window.uploadImageSetStorage.get().type !== 'ImageSet') {
        window.uploadImageSetStorage.set(new window.ImageSet([], UploadedImagesListSelPost));
    }
    //console.log("uploadImageSetStorage = ", window.uploadImageSetStorage, window.uploadImageSetStorage.get());
});

function uploadImageToEditor(img) {
    //console.log(img);
    //console.log('Posts');
    //console.log(window.uploadImageSetStorage.value);
    var imageSet = window.uploadImageSetStorage.get();
    //console.log(imageSet);
    imageSet.addImages([img]);
    window.uploadImageSetStorage.set(imageSet);
}

function uploadImage(type) {
    var handelClass = '.upload-image-list-'+type;
    //console.log(handelClass);
    UploadedImagesListSel = handelClass;
    if(type == 'post')
    {
        window.imageSubmittedCallback = uploadImageToEditor;
    }
    $("#editorImageSubmitter").click();
}

function removeImageClicked(el, type) {
    var $container = $(el).closest('.img-container');
    var $img = $('img', $container);
    var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
    function(response) {
        if(response) {
            removeImage($img.attr('src'), type);
        }
    }, "Delete", "Cancel");
}

function removeImage(img, type) {
    var imageSet = window.uploadImageSetStorage.get();
    imageSet.removeImages([img]);
    window.uploadImageSetStorage.set(imageSet);
}

function deletePosts($el, callback)
{
    labConfirm("Do you really want to delete this story?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $el.blur();
                window.loadingIndicator($('body'));
                
                ajaxSubmit($el.attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#feed-post-'+$el.data('postid')).slideUp(g_animationSpeed, function(){ $(this).remove();  });
                    $('.loading-indicator-background').remove();
                }
            });
            return false;
            }
        }, "Delete", "Cancel");
}

function editPost(el)
{
    var $el = $(el);
    var postID = $el.data('postid');
    window.loadingIndicator($('body'));
    ajaxSubmit('<?php echo $this->url('get-post', ['postId' => 'POSTID']); ?>'.replace(/POSTID/, postID), {}, function (data) {
            $('#edit-post').html(data);
            var postImages = $('#hdnPostImages').val();
            if($('#hdnPostImages').length == 1 && postImages != "[]")
            {
                postImages = $.parseJSON(postImages);
                if(postImages.length > 0)
                {
                    for(var i = 0; i < postImages.length; i++)
                    {
                        uploadImageToEditor(postImages[i]);
                    }
                }
            }
            
            $('#add-post').hide();
            if($('.edit-advanced-story').length > 0)
            {
                var mcsID = $('.edit-advanced-story').attr('id');
                makeTinyMCE('#'+mcsID);
                
                window.setTimeout(function(){
                $('.mce-tinymce .mce-container .mce-widget').each(function(){
                    var myID = $(this).attr('id');
                    
                    if(myID == 'mceu_'+i){
                        if($(this).children('button').length > 0)
                        {
                            $(this).children('button:first-child').addClass(customIcons[i]);
                            $(this).children('button:first-child').children('i').remove();
                        }
                        else
                        {
                            $(this).children('button').addClass(customIcons[i]);
                            $(this).children('button').children('i').remove();
                        }
                    }
                    i++;
                });
            }, 500);
            }
            $('#edit-post').slideDown(g_animationSpeed);
            $('.loading-indicator-background').remove();
            $('html,body').animate({
                scrollTop: $('#edit-post').offset().top},
            g_animationSpeed);
    });
}

function cancelEditPost(postId, is_image)
{
    if($('.edit-advanced-story').length > 0)
    {
        //console.log($('.edit-advanced-story').length);
        var mcsID = $('.edit-advanced-story').attr('id');
        
        tinymce.remove("#"+mcsID);
    }
    $('#post-edit-'+postId).hide();
    $('#post-edit-'+postId).remove();
    
    if(is_image)
    {
        var imgs = window.uploadImageSetStorage.get();
        imgs.images = [];
        imgs.imagesChanged();
        window.uploadImageSetStorage.set(imgs);
    }
    
    $('#edit-post').hide();
    $('html,body').animate({
        scrollTop: $('#feed-post-'+postId).offset().top},
    g_animationSpeed);
}

function makeTinyMCE(seletor)
{
    tinymce.init({
        selector: seletor,
        height: 350,
        plugins: [
            'advlist autolink lists link image charmap print preview anchor',
            'searchreplace visualblocks code fullscreen',
            'insertdatetime media table paste code',
        ],
        toolbar: 'bold italic alignleft aligncenter alignright alignjustify bullist numlist outdent indent link simpleimage',
        menubar: false,
        statusbar: false,
        target_list: false,
        link_title:false,
        resize: false,
        theme_advanced_toolbar_location : "bottom",
        content_css : '/css/editor.css',
        setup: function(editor) {
          editor.addButton('simpleimage', {
                tooltip: 'Add image',
                icon: "image",
                onclick: function() {
                    uploadImage();
                }
            });
          
          var tinymce_placeholder = $('#'+editor.id);
          var attr = tinymce_placeholder.attr('placeholder');
          $('.placeholder label[for="advanced-story"]').html(attr);
          
          if (typeof attr !== 'undefined' && attr !== false) {
            
              editor.on('init', function() {
                if(editor.getContent() != '') {
                    $('.placeholder label[for="advanced-story"]').hide();
                }
                else
                {
                    $('.placeholder label[for="advanced-story"]').show();
                }
             
                $(editor.getDoc()).contents().find('body').focus(function(){
                    $('.placeholder label[for="advanced-story"]').hide();
                });
                 
                $(editor.getDoc()).contents().find('body').blur(function(){
                    if(editor.getContent() == '') {
                        $('.placeholder label[for="advanced-story"]').show();
                    }
                });
                
                $('.placeholder label[for="advanced-story"]').click(function(){
                    $(this).hide();
                    $(editor.getDoc()).contents().find("body").focus();
                });
            });
          }
            
        }
    });
}

function socialShare(type, url, title, descr, image, winWidth, winHeight, via) {
    var winTop = (screen.height / 2) - (winHeight / 2);
    var winLeft = (screen.width / 2) - (winWidth / 2);
    if(type == 'fb')
    {
        var shareURL = 'http://www.facebook.com/sharer.php?s=100&p[title]=' + title + '&p[summary]=' + descr + '&p[url]=' + url + '&p[images][0]=' + image;
    }
    else
    {
        var shareVia = (typeof via != "undefined") ? '&via=' + via : '';
        var shareURL = 'https://twitter.com/intent/tweet/?text=' + title + '&url=' + url + shareVia;
    }
    window.open(shareURL, 'sharer', 'top=' + winTop + ',left=' + winLeft + ',toolbar=0,status=0,width=' + winWidth + ',height=' + winHeight);
}

var postActions = {
    love: function($post, postId) {
        // todo: post love
        
        var loved = $('#post_love_'+postId).attr('data-loved');
        
        var url = "<?= $this->url("post-love", ['postId' => 'POSTID', 'loveOrNot' => 'LOVED']) ?>".replace(/POSTID/, postId).replace(/LOVED/, loved);

        ajaxSubmitCheck(url, {}, function (data) {

            if(data.status == 'ok')
            {
                if(data.login)
                {
                    $('#loginForm').modal('show');
                }
                else
                {
                    var loveCnt = (data.loveCount > 0) ? '('+data.loveCount+')' : '';
                    if(data.is_love)
                    {
                        $('#post_love_'+postId+' span').text('Loved! '+loveCnt);
                        $('#post_love_'+postId+' span').addClass('fill-heart');
                        $('#post_love_'+postId+' i').addClass('fill-heart');
                        $('#post_love_'+postId).attr('data-loved', 0);
                    }
                    else
                    {
                        $('#post_love_'+postId+' span').text('Love '+loveCnt);
                        $('#post_love_'+postId+' span').removeClass('fill-heart');
                        $('#post_love_'+postId+' i').removeClass('fill-heart');
                        $('#post_love_'+postId).attr('data-loved', 1);
                    }
                }
            }
            else
            {
                 labAlert(data.status);
            }
        }, 'Sorry, an error has occured. \n%s');
    },
    comment: function($post, postId) {
        $post.find('.comment-form').slideToggle(g_animationSpeed, function() {
            if($(this).is( ":visible" )) {
                $post.find('.comment-form .comment-content').val("");
                $post.find('.comment-form .comment-content').trigger("blur");
                $post.find('.comment-form .comment_id').val("");
                $post.find('.comment-form .btn-info').val("Comment");
            }
        });

        loadComments($post, postId, 3);
    },
    allcomments: function($post, postId) {
        loadComments($post, postId, 'all');
    },
    share: function($post, postId) {
        // todo: post share
    },
    commentSubmit: function($post, postId) {
        var url = "<?= $this->url("post-comment", ['postId' => 'POSTID']) ?>".replace(/POSTID/, postId);
        var postAs = 'user';

        var $commentInput = $post.find('textarea.comment-content');
        var $comment_id = $post.find('.comment_id');
        var postContent = $commentInput.val().trim();
        var postCommentID = $comment_id.val().trim();

        if(postContent.length < 1) {
            $commentInput.focus();
            return;
        }

        $commentInput.val('');
        $comment_id.val('');
        
        ajaxSubmitCheck(url, {
            text: postContent,
            comment_id: postCommentID,
            postAs: postAs

        }, function (data) {
            $commentInput.val();
            var $comment_form = $commentInput.closest('.comment-form');
            var $submitBtn = $('.btn-info', $comment_form);
            $('.comment_message').remove();
            var msg = 'Thank you!<br/>Your comment has been submitted and will be reviewed by an administrator.';
            var html = '<div class="comment_message">'+msg+'</div>';
            $commentInput.after(html);
            setTimeout(function() {
                    if($('.comment_message').length > 0)
                    {
                        $('.comment_message').remove();
                    }
               }, 3000);
            $submitBtn.slideUp(g_animationSpeed);
            $comment_form.find('.comment_id').val("");
            $comment_form.find('.btn-info').val("Comment");
            loadComments($post, postId, 3);
        }, 'Sorry, an error has occured while posting your comment. \n%s');

    },
};

function postButton(action, postId) {
    var el = document.getElementById("feed-post-" + postId);
    if(!el) {
        console.warn("postButton called on nonexistent post id!", postId);
        return false;
    }
    var actionFn = postActions[action];
    if(!actionFn) {
        console.warn("postButton called with unknown action!", action);
        return false;
    }

    return actionFn($(el), postId);
}

function loadComments($post, postId, limit) {
    var $commentSection = $post.find('.comment-section');
    var $commentCntSection = $post.find('.comments_counter');
    var html = '';

    window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {"limit": limit}, function (data) {

        loadedComments = data.comments;
        totalComments = data.totalComments;

        loadedComments.sort(function (a, b) {
            return a.id - b.id;
        });

        for(var k in loadedComments) {
            if(!loadedComments.hasOwnProperty(k)) {continue;}
            var c = loadedComments[k];

            var author = htmlspecialchars(c.name);
            var buttons = '';

            <?php if($this->isBrandAdmin){ ?>
            if(c.public) {
                buttons = '<a class="pull-right" href="#" onclick="commentButton(\'delete\', '+c.id+'); return false;"><img src="/images/x.png"/> Delete</a>   ';
            }else{
                buttons = '<a class="pull-right" href="#" onclick="commentButton(\'delete\', '+c.id+'); return false;"><i class="icon-close"></i> Reject</a>   '+
                        '<a class="pull-right" href="#" onclick="commentButton(\'approve\', '+c.id+'); return false;"><i class="icon-checkmark"></i> Approve</a>';

            }

            <?php } ?>

            html = getCommentsHTML(c, html);

            /*html +=
                '<div id="post-comment-'+c.id+'" class="comment '+(c.public?'':'not-approved')+'"> ' +
                '    <h6>   ' +
                '    By ' + author + ' - <span data-date="'+ c.datePosted +'">'+ c.datePosted +'</span> ' +
                buttons +
                '    </h6> ' +
                '   <p>' +htmlspecialchars(c.text)+ '</p> ' +
                '</div>';*/
        }
        $commentSection.children('ol').html(html);
        $commentSection.children('ol').show();
        $commentCntSection.children('span').html(loadedComments.length);
        if(totalComments > 0){
            $post.find('.downspan .commentCounts').html("("+totalComments+")");
        }
        else
        {
            $post.find('.downspan .commentCounts').html("");
        }
        
        if(totalComments > 3 && limit != "all")
        {
            $post.find('.previous_comments').show();
        }
        else
        {
            $post.find('.previous_comments').hide();
        }
            $commentCntSection.show();

    }, function(serverside, message) {
        console.log("Comment loading error", serverside, message);
        $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
    });
}

function getCommentsHTML(c, html, isPopup)
{
    html += '<li id="post-comment-'+c.id+'" class="comment-entity comment '+(c.public?'':'not-approved')+'">';
        html += '<div class="content">';
            html += '<div class="comment-body">';
                var iniCls = '';
                var imgHtml = '';
                if(c.userAvatar == '')
                {
                    iniCls = 'initial-image';
                    imgHtml = '<span>'+c.userInitails+'</span>';
                }
                else
                {
                    imgHtml = '<img src="'+c.userAvatar+'" alt="'+htmlspecialchars(c.name)+'">';
                }
                html += '<a class="image xsmall-image '+iniCls+'">';
                    html += imgHtml;
                html += '</a>';
                html += '<div class="header ">';
                    html += '<div data-block="meta" class="meta <?php if(!$this->isBrandAdmin){ ?>nohover<?php } ?>">  ';
                        //html += '<span class="timestamp">'+c.datePosted+'</span>';
                        html += '<span data-timestamp="'+c.date+'" data-timestamp-format="short"></span>';
                    html += '</div>';
                    
                    <?php if($this->isBrandAdmin){ ?>
                    html += '<div class="meta-actions dropdown">';
                        html += '<a aria-expanded="true" aria-haspopup="true" role="button" href="#" data-toggle="dropdown" class="dropdown-toggle">';
                            html += '<i class="fa fa-ellipsis-h" aria-hidden="true"></i>';
                        html += '</a>';
                        html += '<ul class="dropdown-menu aboutPopup">';
                            html += '<div class="aboutPop">';
                                html += '<ul>';
                                    html += '<li>';
                                        var onclickEdit = "commentButton('edit', "+c.id+"); return false;";
                                        var onclickDelete = "commentButton('delete', "+c.id+"); return false;";
                                        if(isPopup)
                                        {
                                            onclickEdit = 'editCommentPopup('+c.id+', '+c.postId+'); return false;';
                                            onclickDelete = 'deleteCommentPopup('+c.id+', '+c.postId+'); return false;';
                                        }
                                        html += '<a onclick="'+onclickEdit+'" href="javascript:void(0);">';
                                            html += '<img src="/images/pen.png"><span>Edit</span>';
                                        html += '</a>';
                                    html += '</li>';
                                    html += '<li>';
                                        html += '<a href="javascript:void(0);" onclick="'+onclickDelete+'">';
                                            html += '<img src="/images/trash.png"><span>Delete</span>';
                                        html += '</a>';
                                    html += '</li>';
                                html += '</ul>';
                            html += '</div>';
                        html += '</ul>';
                    html += '</div>';
                    <?php } ?>
                    
                    html += '<h4 class="sub-headline">';
                        html += '<a class="name" href="javascript:void(0);">'+htmlspecialchars(c.name)+'</a>';
                    html += '</h4>';
                html += '</div>';

                html += '<div class="text-entity">';
                    html += '<p>'+htmlspecialchars(c.text)+'</p>';
                html += '</div>';

            html += '</div>';
        html += '</div>';
    html += '</li>';

    return html;
}

var fCommentURL = function (id, action) {
    return "<?= $this->url('manage-comment', ['commentId' => 'COMMENTID', 'action' => 'ACTION']) ?>"
        .replace('COMMENTID', id).replace('ACTION', action);
};
    
var commentActions = {
    'delete': function($comment, commentId, $post, postId) {
        labConfirm('Are you sure that you want to delete this comment?', 'Are you sure?', function(response) {            
            if(response) {
                window.ajaxSubmitCheck(fCommentURL(commentId, 'rejectComment'), {}, function() {
                    loadComments($post, postId);
                }, "The comment couldn't be hidden. %s");
            }
        }, "Delete");
    },
    'edit' : function($comment, commentId, $post, postId){
            $commentForm = $('.comment-form', $post);
            
            window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {'commentId' : commentId}, function (data) {
                loadedComment = data.comments;
                //console.log(loadedComment);
                
                $commentForm.find('.comment-content').val(loadedComment.content);
                $commentForm.find('.comment_id').val(loadedComment.id);
                $commentForm.find('.comment-content').focus();
                $commentForm.find('.btn-info').removeAttr('disabled');
                $commentForm.find('.btn-info').val('Edit');
                $comment.parent('ol').slideUp(g_animationSpeed);
                
            }, function(serverside, message) {
                console.log("Comment loading error", serverside, message);
                $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
            });
            
        },
    approve: function($comment, commentId, $post, postId) {
        window.ajaxSubmitCheck(fCommentURL(commentId, 'approveComment'), {}, function() {
            loadComments($post, postId);
        }, "The comment couldn't be approved. %s");
    }
};

function commentButton(action, commentId) {
    var el = document.getElementById("post-comment-" + commentId);
    if(!el) {
        console.warn("commentButton called on nonexistent comment id!", commentId);
        return false;
    }
    var actionFn = commentActions[action];
    if(!actionFn) {
        console.warn("commentButton called with unknown action!", action);
        return false;
    }
    var $el = $(el);
    var $post = $el.closest('[data-postid]');
    return actionFn($el, commentId, $post, $post.data('postid'));
}

function focusTextArea(obj)
{
    $(obj).attr('style', 'height:50px');
    var $comment_form = $(obj).closest('.comment-form');
    var $submitBtn = $('.btn-info', $comment_form);
    if($(obj).val().length <= 0)
    {
        $submitBtn.attr('disabled', 'disabled');
    }
    $submitBtn.slideDown(g_animationSpeed);
}

function focusOutTextArea(obj)
{    
    var $comment_form = $(obj).closest('.comment-form');
    var $submitBtn = $('.btn-info', $comment_form);
    if($(obj).val().length <= 0)
    {
        $(obj).attr('style', 'height:35px');
        $submitBtn.attr('disabled', 'disabled');
        $submitBtn.slideUp(g_animationSpeed);
    }
}

function keyUpTextArea(obj)
{
    $(obj).attr('style', 'height:50px');
    var $comment_form = $(obj).closest('.comment-form');
    var $submitBtn = $('.btn-info', $comment_form);
    if($(obj).val().length > 0)
    {
        $submitBtn.removeAttr('disabled');
    }
    else
    {
        $submitBtn.attr('disabled', 'disabled');
    }
}

function initStoriesTab() {

    if(!window.tinymce) {
        window.setTimeout(initStoriesTab, 100);
        return;
    }

    if(window.feed.activeSegment != 'drafts') return;

    tinymce.execCommand('mceRemoveControl', true, 'advanced-story');
    
    makeTinyMCE('#advanced-story');
    
    $(document).on('click', '.image-list .img-container', function(e) {
        e.preventDefault();
        var $this = $(this);
        var $panel = $('.img-panel', $this);
        if($panel.closest('.image-list').hasClass('editable')) {
            var type = $panel.closest('.image-list').data('type');
            $panel.toggleClass('active');
            if($panel.hasClass('active')) {
                $('.img-panel', $this.parent().parent()).removeClass('active');
                $panel.addClass('active');
            }
            if ($panel.hasClass('new')) {
                $panel.removeClass('new');
                $panel.html('<div class="buttons"><button onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
            }
        }
    });
    
    var i = 0;
    
    window.setTimeout(function(){
        $('.mce-tinymce .mce-container .mce-widget').each(function(){
            var myID = $(this).attr('id');
            
            if(myID == 'mceu_'+i){
                if($(this).children('button').length > 0)
                {
                    $(this).children('button:first-child').addClass(customIcons[i]);
                    $(this).children('button:first-child').children('i').remove();
                }
                else
                {
                    $(this).children('button').addClass(customIcons[i]);
                    $(this).children('button').children('i').remove();
                }
            }
            i++;
        });
        
        $('.mce-widget .mce-i-link').parent('button').click(function(){
            $('body').addClass('noscroll');

            window.setTimeout(function(){
                $('.mce-close').attr('onclick', 'closePopup();')
                $('.mce-btn-has-text').each(function(){
                    $(this).attr('onclick', 'closePopup();')
                })
            }, 500);
        })
        
    }, 500);
}
function closePopup()
{
    $('body').removeClass('noscroll');
}


/** SLIDER JS **/
function getSliderPostDataStory(postId, currentIndex)
{
    var postTitle  = $('#image-modal-'+postId+' #photoTitle_'+currentIndex).val();
    $('#image-modal-'+postId+' .fs-aside-title h4').html(postTitle);
    
    $('#image-modal-'+postId+' .fs-aside-description').html($('#image-modal-'+postId+' #photoCaption_'+currentIndex).val());
    $('#image-modal-'+postId+' .comment_header .fs-time-ago small').html(formatAgoTime($('#image-modal-'+postId+' #photoDateStamp_'+currentIndex).val()));
    var commentsCnt = ($('#image-modal-'+postId+' #photoCommenstCnt_'+currentIndex).val() > 0) ? $('#image-modal-'+postId+' #photoCommenstCnt_'+currentIndex).val() : '';
    $('#image-modal-'+postId+' .fs_modal_header .fs_slider_comments_count span').html(commentsCnt);
    $('#image-modal-'+postId+' .fs_modal_header .fs_slider_comments_count .fs-comment-btn').attr('data-postid', postId);
    $('#image-modal-'+postId+' .comment-btn-contaiber .btn-comment-submit').attr('data-postid', postId);
    
    var love = $('#image-modal-'+postId+' #photoLove_'+currentIndex).val();
    var loveCnt = $('#image-modal-'+postId+' #photoLoveCnt_'+currentIndex).val();
    
    var dispCnt = (loveCnt > 0) ? loveCnt : '';
    
    var loveTitle = 'Love';
    var loved = 1;
    var colorCls = '';
    if(love == 1)
    {
        loveTitle = 'Loved!';
        loved = 0;
        colorCls = 'color-blue';
    }
    
    var loveHTML = '<a href="javascript:void(0);" class="text-info '+colorCls+'" data-loved="'+loved+'" onclick="javascript: makeLovedPopup(this, '+postId+');">'+
                        '<i class="fa fa-heart" aria-hidden="true"></i>'+
                        loveTitle+
                        '<span>'+dispCnt+'</span>'+
                   '</a>';
    $('#image-modal-'+postId+' .fs_modal_header .fs_slider_love_conainer').html(loveHTML);
    $('#image-modal-'+postId+' .sharing_content').attr('data-postid', postId);
    
    loadCommentsPopup(postId, 3);
}

function getSliderPostData(postId, currentIndex)
{
    var postTitle  = $('#photoTitle_'+currentIndex).val();
    $('#image-modal-full .fs-aside-title h4').html(postTitle);
    
    $('#image-modal-full .fs-aside-description').html($('#photoCaption_'+currentIndex).val());
    $('#image-modal-full .comment_header .fs-time-ago small').html(formatAgoTime($('#photoDateStamp_'+currentIndex).val()));
    var commentsCnt = ($('#photoCommenstCnt_'+currentIndex).val() > 0) ? $('#photoCommenstCnt_'+currentIndex).val() : '';
    $('#image-modal-full .fs_modal_header .fs_slider_comments_count span').html(commentsCnt);
    $('#image-modal-full .fs_modal_header .fs_slider_comments_count .fs-comment-btn').attr('data-postid', postId);
    $('#image-modal-full .comment-btn-contaiber .btn-comment-submit').attr('data-postid', postId);
    
    var love = $('#photoLove_'+currentIndex).val();
    var loveCnt = $('#photoLoveCnt_'+currentIndex).val();
    
    var dispCnt = (loveCnt > 0) ? loveCnt : '';
    
    var loveTitle = 'Love';
    var loved = 1;
    if(love == 1)
    {
        loveTitle = 'Loved!';
        loved = 0;
    }
    
    var loveHTML = '<a href="javascript:void(0);" class="text-info" data-loved="'+loved+'" onclick="javascript: makeLovedPopup(this, '+postId+');">'+
                        '<i class="fa fa-heart" aria-hidden="true"></i>'+
                        loveTitle+
                        '<span>'+dispCnt+'</span>'+
                   '</a>';
    $('#image-modal-full .fs_modal_header .fs_slider_love_conainer').html(loveHTML);
    loadCommentsPopup(postId, 3);
}

function socialShareModule(type)
{
    var activeSlide = $('#image-modal-full #fs-photo-slider div.active');
    var share = activeSlide.find('img').attr('src');       
    
    if(type == 'email') 
    {
        window.location.href = "mailto:?subject=Share with your friends&body="+share;
    }
    else
    {
        socialShare(type, share, '', '', '', 520, 350);
    }
}

function socialShareModuleStory(type, obj)
{
    //sharing_content
    var postId = $(obj).parent('li').parent('ul').parent('.social_sharing').parent('.sharing_content').attr('data-postid');
    var activeSlide = $('#image-modal-'+postId+' #fs-photo-slider-'+postId+' div.active');
    var share = activeSlide.find('img').attr('src');       
    
    if(type == 'email') 
    {
        window.location.href = "mailto:?subject=Share with your friends&body="+share;
    }
    else
    {
        socialShare(type, share, '', '', '', 520, 350);
    }
}

function loadCommentsPopup(postId, limit) {
        
    var $commentSection = $('.fs-slider .aside_panel .comments_container .comments-box');
    var $commentFrom = $('.fs-slider .aside_panel .comments_container .comments-form');
    $commentFrom.find('.previous_comments').hide();
    var loadingHTML = '<div class="no-comments-loading">Loading...</div>';
    $commentSection.children('ol').html(loadingHTML);
    var html = '';

    if(postId > 0)
    {
        window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {"limit": limit}, function (data) {

            loadedComments = data.comments;
            totalComments = data.totalComments;

            /*loadedComments.sort(function (a, b) {
                return b.datePosted - a.datePosted;
            });*/
            loadedComments.sort(function (a, b) {
                return a.id - b.id;
            });

            for(var k in loadedComments) {
                if(!loadedComments.hasOwnProperty(k)) {continue;}
                var c = loadedComments[k];

                var author = htmlspecialchars(c.name);
                var authorAvatar = c.userAvatar;
                var buttons = '';

                <?php if($this->userCanEditBrand) { ?>
                if(c.public) {
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+postId+'); return false;"><i class="icon-close"></i></a>   ';
                }else{
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+postId+'); return false;"><i class="icon-close"></i> Reject</a>   '+
                            '<a class="pull-right" href="#" onclick="commentButtonPopup(\'approve\', '+c.id+', '+postId+'); return false;"><i class="icon-checkmark"></i> Approve</a>';

                }

                <?php } ?>

                /*html +=
                    '<div id="post-comment-'+c.id+'" class="post-comment '+(c.public?'':'not-approved')+'"> ' +
                    '    <div class="post-comment-meta">   ' +
                    '    By ' + author + ' - <span data-date="'+ c.datePosted +'"></span> ' +
                    buttons +
                    '    </div> ' +
                    '    <div class="post-comment-content">' +htmlspecialchars(c.text)+ '</div> ' +
                    '</div>';*/
                
                html = getCommentsHTML(c, html, true);
                
                /*html += '<div id="post-comment-'+c.id+'" class="comments '+(c.public?'':'not-approved')+'">'+
                        '   <a class="comments-thumb thumb_small" style="background-image: url(\''+authorAvatar+'\');"></a>'+
                        '   <div class="comments-content">'+
                        '       <div class="col-md-12 nopadding">'+
                        '           <div class="col-md-8 col-xs-8 col-sm-8 nopadding">'+
                        '               <h5 class="comments-name">'+author+'</h5>'+
                        '           </div>'+
                        '           <div class="col-md-4 col-xs-4 col-sm-4 nopadding fs-time-ago">'+
                        '               <small data-date="'+ c.datePosted +'"></small>'+
                        '           </div>'+
                        '       </div>'+
                        '       <div class="comment-meta">'+
                        '           <span>Love a Brand</span>'+
                        '           <span>&bull;</span>'+
                        '           <span>In</span>'+
                        '           <span>&bull;</span>'+
                        '           <a href="javascript:void(0);">Our Stories</a>'+
                        '       </div>'+
                        '       <div class="col-md-12 nopadding comments-text">'+
                                    htmlspecialchars(c.text)+
                        '       </div>'+
                        '   </div>'+
                        '</div>';*/
                
            }
            
    /*            $(".aside_panel .comments_container .comments-box").mCustomScrollbar("destroy");*/
    /*            $(".aside_panel .description_container .fancySccroll").mCustomScrollbar("destroy");*/
            
            $commentSection.children('ol').html(html);
            $commentSection.children('ol').show();
            
            if(totalComments > 3 && limit != "all")
            {
                $commentFrom.find('.previous_comments').show();
            }
            else
            {
                $commentFrom.find('.previous_comments').hide();
            }
            
/*            calculateDates();*/
            if($commentSection.children('.comments').length == 0)
            {
                //$commentSection.hide();
                $('.aside_panel .comments_container .comments-form .comments-form-footer .comment-text span').html(0);
            }
            else
            {
                $('.aside_panel .comments_container .comments-form .comments-form-footer .comment-text span').html(totalComments);
                $commentSection.show();
            }

            
        }, function(serverside, message) {
        console.log("Comment loading error", serverside, message);
        $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
    });
    }   
    }

function commentButtonPopup(action, commentId, postId, index) {
    console.log(postId);
    console.log(index);
    var el = document.getElementById("post-comment-" + commentId);
    if(!el) {
        console.warn("commentButton called on nonexistent comment id!", commentId);
        return false;
    }
    var actionFn = commentActionsPopup[action];
    if(!actionFn) {
        console.warn("commentButton called with unknown action!", action);
        return false;
    }
    var $el = $(el);
    return actionFn($el, commentId, postId, index);
}

function makeLovedPopup(obj, postId)
{
    var loved = $(obj).data('loved');
        
    var url = "<?= $this->url("post-love", ['postId' => 'POSTID', 'loveOrNot' => 'LOVED']) ?>".replace(/POSTID/, postId).replace(/LOVED/, loved);

    ajaxSubmitCheck(url, {}, function (data) {

        if(data.status == 'ok')
        {
            var loveCnt = (data.loveCount > 0) ? '('+data.loveCount+')' : '';
            var dispCnt = (data.loveCount > 0) ? data.loveCount : '';
            var loveTitle = 'Love';
            var data_loved = 1;
            if(data.is_love)
            {
                /*$(obj).children('span').text('Loved! '+loveCnt);
                $(obj).data('loved', 0);
                $(obj).children('i').removeClass('fa-heart-o').addClass('fa-heart');*/
                loveTitle = 'Loved!';
                data_loved = 0;
            }
            else
            {
                /*$(obj).children('span').text('Love '+loveCnt);
                $(obj).data('loved', 1);
                $(obj).children('i').removeClass('fa-heart').addClass('fa-heart-o');*/
            }
            var loveHTML = '<a href="javascript:void(0);" class="text-info" data-loved="'+data_loved+'" onclick="javascript: makeLovedPopup(this, '+postId+');">'+
                        '<i class="fa fa-heart" aria-hidden="true"></i>'+
                        loveTitle+
                        '<span>'+dispCnt+'</span>'+
                   '</a>';
            $('.fs_slider_love_conainer').html(loveHTML);
        }
        else
        {
             labAlert(data.status);
        }
    }, 'Sorry, an error has occured. \n%s');
}

function popupSubmitComments(obj)
{
    var postID = $(obj).attr('data-postid');
    
    var url = "<?= $this->url("post-comment", ['postId' => 'POSTID']) ?>".replace(/POSTID/, postID);
    
        //var postAs = $('#commentPostAs').val();
        //if (!postAs) postAs = 'user';
        var postAs = 'user';
        var $post = $('#image-modal-'+postID);
        $commentForm = $('.comments-form', $post);
    
/*        var $commentSection = $('.aside_panel .comments_container .comments-form .comments-textarea');*/
        var $commentSection = $commentInput = $commentForm.find('.comments-textarea .comment-box-text');

/*        var $commentInput = $commentSection.find('textarea.comment-box-text');*/
        var postContent = $commentSection.val().trim();
        
        var $comment_id = $commentForm.find('.comment_id');
        var postCommentID = $comment_id.val().trim();
/*console.log($commentInput);*/
        if(postContent.length < 1) {
            $commentSection.focus();
            return;
        }

        $commentInput.val('');

        ajaxSubmitCheck(url, {
            text: postContent,
            comment_id: postCommentID,
            postAs: postAs

        }, function (data) {
            $commentInput.val('');
/*                $commentInput.val('Thank you!\n\nYour comment has been submitted and will be reviewed by an administrator.');*/
            $commentInput.css({backgroundColor: '#e9f7e8', color: '#555'});
            $commentInput.keyup(); // for autosize

            $commentInput.one( "click", function() {
                var $this = $(this);
                $this.val('');
                $this.css({backgroundColor: 'white', color: '#111'});
            });
            $(obj).html("COMMENT");
            $comment_id.val("");
            loadCommentsPopup(postID, 3);
        }, 'Sorry, an error has occured while posting your comment. \n%s');
}

function deleteCommentPopup(commentID, postId)
{
    labConfirm('Are you sure that you want to delete this comment?', 'Are you sure?', function(response) {            
        if(response) {
            window.ajaxSubmitCheck(fCommentURL(commentID, 'rejectComment'), {}, function() {
                loadCommentsPopup(postId, 3);
            }, "The comment couldn't be hidden. %s");
        }
    }, "Delete");
}

function editCommentPopup(commentId, postId)
{
    var $post = $('#image-modal-'+postId);
    $commentForm = $('.comments-form', $post);
    $comment = $('.comment-section ol', $post);
    $prvComment = $('.previous_comments', $post);
/*    alert($commentForm.length);*/
    window.ajaxSubmitCheck("<?= $this->url("get-comments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {'commentId' : commentId}, function (data) {
        loadedComment = data.comments;
        //console.log(loadedComment);
        
        $commentForm.find('.comments-textarea .comment-box-text').val(loadedComment.content);
        $commentForm.find('.comments-textarea .comment_id').val(loadedComment.id);
        $commentForm.find('.comment-box-text').focus();
        $commentForm.find('.btn-comment-submit').html('Edit');
        $comment.slideUp(g_animationSpeed);
        $prvComment.hide();
        
    }, function(serverside, message) {
        console.log("Comment loading error", serverside, message);
        $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
    });
}

var _$comment_btn;
var _$aside_panel;
var _$content;
var aside_panel_showing = false;
var $container_viewer;
function loadOnPage(postId)
{
    $('#image-modal-'+postId).on('show.bs.modal', function (e) {
           var currentSlidePostId = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('postid');
           var currentIndex = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('index');
           getSliderPostDataStory(currentSlidePostId, currentIndex);
    });
        
    $('.fs-slider #fs-photo-slider-'+postId).on('slid.bs.carousel', function () {
        var currentSlidePostId = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('postid');
        var currentIndex = $('.fs-slider #fs-photo-slider-'+postId+' div.active').data('index');
        getSliderPostDataStory(currentSlidePostId, currentIndex);
    }); 
    
    $container_viewer = $('.fs-slider');
    _$comment_btn = $container_viewer.find(".fs-comment-btn");
    _$aside_panel = $container_viewer.find(".aside_panel");
    _$content = $container_viewer.find(".fs-container"); 
    
    $('#image-modal-'+postId).find('.fs_slider_comments_count .fs-comment-btn').trigger('click');
}
/*** END **/

window.onFeedJS.push(initStoriesTab);
window.onFeedJS.push(function () {
    window.feed.onSegmentChanged.push(initStoriesTab);
});

window.onload = function() {
    $('#image-modal-full').on('show.bs.modal', function (e) {
           var currentSlidePostId = $('#image-modal-full #fs-photo-slider div.active').data('postid');
           var currentIndex = $('#image-modal-full #fs-photo-slider div.active').data('index');
           getSliderPostData(currentSlidePostId, currentIndex);
    });
    
    $('#image-modal-full #fs-photo-slider').on('slid.bs.carousel', function () {
        var currentSlidePostId = $('#image-modal-full #fs-photo-slider div.active').data('postid');
        var currentIndex = $('#image-modal-full #fs-photo-slider div.active').data('index');
        getSliderPostData(currentSlidePostId, currentIndex);
    });
    
/*    loadOnPage();*/
}
</script>